Drop hurd specific dependency on libc0.3 (>= 2.3.2.ds1-12). It is